Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class OWLFrameFactoryInvocationHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protegex.owl.model.framestore.OWLFrameFactoryInvocationHandler

All Implemented Interfaces:
  InvocationHandler

Deprecated. - Not needed anymore. The conversion of the frames into OWL Java objects is handled in a different way

    @Deprecated
    public class OWLFrameFactoryInvocationHandler

extends edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler

A FrameStoreInvocationHandler that uses a DefaultOWLFrameFactory to replace all references to a given frame with new ones. This is needed for the OWL database backend to solve a bootstrapping recursion problem.

Author:
  Holger Knublauch

Constructor Summary
`OWLFrameFactoryInvocationHandler()` Deprecated.

Method Summary
`Object` | `convert(Object o)` Deprecated.
`Collection` | `convertCollection(Collection values)` Deprecated.
`edu.stanford.smi.protege.model.Instance` | `convertInstance(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`protected void` | `executeQuery(edu.stanford.smi.protege.model.query.Query q, edu.stanford.smi.protege.model.query.QueryCallback qc)` Deprecated.
`protected Object` | `handleInvoke(Method method, Object[] args)` Deprecated.
`static void` | `setFrameFactory(OWLJavaFactory ff)` Deprecated. Sets the FrameFactory that shall be used for frame generation in the most recently created OWLFrameFactoryInvocationHandler.

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, handleClose, handleReinitialize, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLFrameFactoryInvocationHandler

    public OWLFrameFactoryInvocationHandler()

  Deprecated.

Method Detail

### convert

    public Object convert(Object o)

  Deprecated.

### convertCollection

    public Collection convertCollection(Collection values)

  Deprecated.

### convertInstance

    public edu.stanford.smi.protege.model.Instance convertInstance(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

### handleInvoke

    protected Object handleInvoke(Method method,
                                  Object[] args)

  Deprecated.
  Specified by:
    `handleInvoke` in class `edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler`

### executeQuery

    protected void executeQuery(edu.stanford.smi.protege.model.query.Query q,
                                edu.stanford.smi.protege.model.query.QueryCallback qc)

  Deprecated.
  Specified by:
    `executeQuery` in class `edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler`

### setFrameFactory

    public static final void setFrameFactory(OWLJavaFactory ff)

  Deprecated.
  Sets the FrameFactory that shall be used for frame generation in the most recently created OWLFrameFactoryInvocationHandler.

  Parameters:
    `ff` - the (subclass of) OWLJavaFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.